for Minecraft 1.14.2 - 1.20.4

for Minecraft 1.8 - 1.12.2